Span (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.util

## Class Span

- java.lang.Object
- - hlt.language.util.Span

- All Implemented Interfaces:
    Locatable

      public class Span
      extends java.lang.Object
      implements Locatable

  A class denoting the area spanning between two (character's) locations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Span()`
    `Span(Location start, Location end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Location` | `end()`
    `boolean` | `equals(java.lang.Object o)`
    `Location` | `getEnd()`
    `int` | `getEndCol()`
    `java.lang.String` | `getEndFile()`
    `int` | `getEndLine()`
    `Location` | `getStart()`
    `int` | `getStartCol()`
    `java.lang.String` | `getStartFile()`
    `int` | `getStartLine()`
    `boolean` | `isKnown()`
    `java.lang.String` | `locationString()`
    `Locatable` | `setEnd(Location location)`
    `Span` | `setEndCol(int col)`
    `Span` | `setEndFile(java.lang.String file)`
    `Span` | `setEndLine(int line)`
    `Locatable` | `setStart(Location location)`
    `Span` | `setStartCol(int col)`
    `Span` | `setStartFile(java.lang.String file)`
    `Span` | `setStartLine(int line)`
    `Location` | `start()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Span

          public Span()

    - #### Span

          public Span(Location start,
              Location end)

  - ### Method Detail

    - #### isKnown

          public final boolean isKnown()

    - #### start

          public final Location start()

    - #### end

          public final Location end()

    - #### getStart

          public final Location getStart()

      Specified by:
        `getStart` in interface `Locatable`

    - #### getEnd

          public final Location getEnd()

      Specified by:
        `getEnd` in interface `Locatable`

    - #### setStart

          public final Locatable setStart(Location location)

      Specified by:
        `setStart` in interface `Locatable`

    - #### setEnd

          public final Locatable setEnd(Location location)

      Specified by:
        `setEnd` in interface `Locatable`

    - #### getStartLine

          public final int getStartLine()

    - #### setStartLine

          public final Span setStartLine(int line)

    - #### getEndLine

          public final int getEndLine()

    - #### setEndLine

          public final Span setEndLine(int line)

    - #### getStartCol

          public final int getStartCol()

    - #### setStartCol

          public final Span setStartCol(int col)

    - #### getEndCol

          public final int getEndCol()

    - #### setEndCol

          public final Span setEndCol(int col)

    - #### getStartFile

          public final java.lang.String getStartFile()

    - #### setStartFile

          public final Span setStartFile(java.lang.String file)

    - #### getEndFile

          public final java.lang.String getEndFile()

    - #### setEndFile

          public final Span setEndFile(java.lang.String file)

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### locationString

          public final java.lang.String locationString()

      Specified by:
        `locationString` in interface `Locatable`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`